<?php

namespace Daylight\Core\Modules\Payment\Contracts;

use Daylight\Core\Modules\Payment\PaymentMethod;
use Illuminate\Support\Collection;

interface ProvidesPaymentMethods
{
    public function get(): Collection;

    public function getById(string $id): ?PaymentMethod;
}
